Page MenuHomePhabricator

Upgrade mariaDB on frdb1003 to >= 10.2
Closed, ResolvedPublic

Description

There are some features of mariaDB which are not available in our current version, such as window functions (ROW_NUMBER(), RANK(), etc) and CTEs which would be very valuable to have. Would it be possible to upgrade to a newer mariaDB version?

Event Timeline

EYener created this task.Jun 10 2020, 7:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2020, 7:30 PM
DStrine added a subscriber: DStrine.

@EYener the newer OS updates should do this. We are trying to get an ETA for that. Most likely some time in Q1.

DStrine moved this task from Triage to FR-Ops on the Fundraising-Backlog board.Jun 15 2020, 7:45 PM

These functions were added in the 10.2 version of mariadb. When we do the OS upgrades, we will be moving up to version 10.4.

Awesome! Two in one. Thanks!

Jgreen moved this task from Triage to Backlog on the fundraising-tech-ops board.Jun 16 2020, 2:19 PM
Jgreen renamed this task from Upgrade for mariaDB to Upgrade mariaDB on frdb1003 to >= 10.2.Jun 16 2020, 3:35 PM

@EYener We will need to find a time when we can take the host down for the upgrade. I anticipate the upgrade will take up to 45 minutes and then we'll want to make sure all the functionality is present. Given that this DB is used regularly by you and with superset, is there a time that works best for it to be offline for 2-3 hours?

Good question - let me check and get back to you. Thanks @Dwisehaupt

Hi @Dwisehaupt how about 9PM UTC / 5PM Eastern / 2 PM Pactific on Monday? Alternately, the same time on Tuesday or Thursday would be preferable.

Dwisehaupt moved this task from Backlog to Up Next on the fundraising-tech-ops board.

9pm UTC on Monday 06/22 works for me. I'll add it to my calendar and get the prep rolling.

Upgrade to buster has completed. MariaDB now running 10.4.13. Verified normal behavior through superset and mysql command line.

Dwisehaupt closed this task as Resolved.Jun 22 2020, 11:12 PM
Dwisehaupt moved this task from Up Next to Done on the fundraising-tech-ops board.